
Redmine - Feature #12032
Collapsible Sidebar
2012-10-05 20:17 - Brandon Liles

Status: Closed Start date:
Priority: Normal Due date:
Assignee: % Done: 0%
Category: UI Estimated time: 0.00 hour
Target version:
Resolution: Duplicate
Description

We frequently have meetings in our conference room where we refer to Redmine for information about projects and issues for our
organization.  We have added a very small amount of JavaScript and CSS to Redmine to allow us to collapse the sidebar so that we
have more screen space when viewing found it very useful to be able to collapse the sidebar so that we have more horizontal space
on the screen.  The is especially useful since we generally increase the font size in the browser.

Related issues:
Related to Redmine - Feature # 10525: A new button to hide/show the sidebar Closed
Duplicated by Redmine - Feature # 12877: optimize ticket / issue view (templa... Closed
Duplicates Redmine - Patch # 21808: Make the Sidebar collapsible, stateful Needs feedback

History
#1 - 2012-10-05 23:28 - Terence Mill

Please upload the patches.

+ for the feature.

#2 - 2012-10-06 05:42 - Toshi MARUYAMA
- Category set to UI

#3 - 2012-10-11 15:42 - ana gonzalez
- Assignee set to Jonas De Meulenaere
- % Done changed from 0 to 100

Brandon Liles wrote:

We frequently have meetings in our conference room where we refer to Redmine for information about projects and issues for our organization. 
We have added a very small amount of JavaScript and CSS to Redmine to allow us to collapse the sidebar so that we have more screen space
when viewing found it very useful to be able to collapse the sidebar so that we have more horizontal space on the screen.  The is especially useful
since we generally increase the font size in the browser.

#4 - 2012-10-11 15:45 - Toshi MARUYAMA
- Assignee deleted (Jonas De Meulenaere)
- % Done changed from 100 to 0

#5 - 2012-11-09 13:54 - Wolfgang Neudorfer
Terence Mill wrote:

Please upload the patches.

+ for the feature.

I would also love to see the patch.

#6 - 2012-11-12 19:10 - Brandon Liles
- File collapsible-sidebar.diff added

Sorry I was slow to provide the patch, diff is attached.  The only other thing you need is to apply a little bit of CSS in your theme and have images for
the expand/collapse control:

.collapsed #sidebar-content, .collapsed #hide-side-bar, .expanded #show-side-bar, .collapsed #watchers {
   display: none;
}
.expanded #sidebar-content, .expanded #hide-side-bar, .collapsed #show-side-bar, .expanded #watchers {
   display: block;
}

#7 - 2012-11-13 01:35 - Terence Mill

+1 for trunk

Thats slick!

#8 - 2012-12-25 03:49 - Jun NAITOH

+1

#9 - 2012-12-25 21:14 - Jan Niggemann (redmine.org team member)

+1 for trunk

#10 - 2013-02-20 19:59 - Christian Ziegelt

Strange - I thought this diff would help me in hiding the sidebar ans saving space.
If I apply the patch (I did it by hand - since I did not find the way to do it automatically) and edit the css file, I will end up with a sidebar which is
collapsed from down -> up.

What I thought this was good for is: saving space on the left hand side for tickets.
How to I control that the DIV is collapsed from LEFT to RRIGHT ?

Here is my DIFFed file
<div id="sidebarWrapper" class="expanded">
<p id="hide-side-bar"><a
onclick="document.getElementById('sidebarWrapper').className='collapsed';document.getElementById('sidebar').className='collapsed';"><img src="/images/sidebar_collapse.jpeg" /></a></p>
<p id="show-side-
img src="/images/sidebar_collapse.jpeg" /></a></p>
<p id="show-side-bar"><a
onclick="document.getElementById('sidebarWrapper').className='expanded';document.getElementById('sidebar').className='expanded';"><img src="/images/sidebar_expand.png" /></a></p>
<div id="sidebar-content" >

<h3><%= l(:label_issue_plural) %></h3>
<%= link_to l(:label_issue_view_all), _project_issues_path(@project, :set_filter => 1) %><br />
<% if @project %>
<%= link_to l(:field_summary), project_issues_r
img src="/images/sidebar_expand.png" /></a></p>
<div id="sidebar-content" >

<h3><%= l(:label_issue_plural) %></h3>
<%= link_to l(:label_issue_view_all), _project_issues_path(@project, :set_filter => 1) %><br />
<% if @project %>
<%= link_to l(:field_summary), project_issues_report_path(@project) %><br />
<% end %>
<%= call_hook(:view_issues_sidebar_issues_bottom) %>

<% if User.current.allowed_to?(:view_calendar, @project, :global => true) %>
  <%= link_to l(:label_calendar), _project_calendar_path(@project) %><br />
<% end %>
<% if User.current.allowed_to?(:view_gantt, @project, :global => true) %>
  <%= link_to l(:label_gantt), _project_gantt_path(@project) %><br />
<% end %>
<%= call_hook(:view_issues_sidebar_planning_bottom) %>

<%= render_sidebar_queries %>
<%= call_hook(:view_issues_sidebar_queries_bottom) %>

</div>
</div>

#11 - 2013-03-02 04:19 - Brandon Liles

Christian,

Your theme has to use a flexible layout, the content div needs to set width=auto, overflow=auto in the CSS in order for the collapse to work correctly:

This is what the critical section looks like in my hack of the A1 theme:

div#content {
   width: auto;
   overflow: auto;
}

div#main.nosidebar div#content {
   width: auto;
}

#sidebar {
   width: auto;

#12 - 2013-03-19 20:51 - Daniel Felix
- Tracker changed from Feature to Patch
- Target version set to 2.4.0

I have detected, that this one is a duplicate of #10525.
Normally, the newer post should be closed as duplicate. But I will change this tracker type to patch, as this contains many hints to complete #10525.

#13 - 2013-03-19 22:40 - Ivan Cenov

There is also a plugin for hiding sidebar: https://github.com/ries-tech/sidebar_hide

#14 - 2013-03-20 02:54 - Dipan Mehta

As I stated in #1294

I am using the above mentioned plugin

Many themes are simply not compatible with the the plug-in. Unfortunately, by digging up you realize this is is neither a plug-in's own issue as such
because many themes have their own peculiar problems (and default theme works) on the other hand - most themes works perfectly except this
side bar features!

This feature should be core, as it affects UI for all the modules, layouts. Usually, if plugins being maintained by others cann't be controlled but
whatever is solved once in Redmine core is mostly likely to be supported for the rest. Hence, I think this should be part of core.

#15 - 2013-10-13 10:02 - Jean-Philippe Lang
- Target version changed from 2.4.0 to Candidate for next major release

2.4 feature freeze

#16 - 2014-03-20 00:18 - Hans Bangkok

yes this really should be core, so many important 3rd-party plugins have fallen by the wayside

#17 - 2015-05-04 12:34 - Jérôme BATAILLE

Hi, a plugin was developped inside my company.
Still working with current version.

https://github.com/Smile-SA/redmine_smile_togglesidebar
#18 - 2016-02-21 15:56 - Toshi MARUYAMA
- Related to Patch #21808: Make the Sidebar collapsible, stateful added

#19 - 2019-03-29 08:35 - Edgars Batna

+999999999

#20 - 2019-09-09 22:21 - Marius BALTEANU
- Tracker changed from Patch to Feature
- Status changed from New to Closed
- Target version deleted (Candidate for next major release)
- Resolution set to Duplicate

Closing this in favour of #21808 which has multiple patches and a feedback from Jean-Philippe.

#21 - 2019-09-09 22:21 - Marius BALTEANU
- Related to deleted (Patch #21808: Make the Sidebar collapsible, stateful)

#22 - 2019-09-09 22:22 - Marius BALTEANU
- Duplicates Patch #21808: Make the Sidebar collapsible, stateful added

Files
collapsible-sidebar.diff 1 KB 2012-11-12 Brandon Liles
